[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopVisiting |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for StopVisiting:

List of all members.

## Public Member Functions
double | return_val ()

## Detailed Description

Last Visitor that should be called to stop the recursion.

## Member Function Documentation

double return_val | ( |  | ) |

return a double value. The value of the first visitor encountered that has a return value is returned with the RandomForest::learn() method - or -1.0 if no return value visitor existed. This functionality basically only exists so that the OOB - visitor can return the oob error rate like in the old version of the random forest.

Reimplemented from VisitorBase.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (28 Sep 2010)